import type { Episode } from "@slovo/models/episode";
import type { Image } from "@slovo/models/image";

export type Channel = {
  name: string,
  description: string,
  link: URL,
  language: string,
  copyright: string,
  explicit: boolean,
  category: string,

  episodes?: Set<Episode>,
  image?: Image
};

